# Interface methods for submodule: Array
from typing import Union, Any
# additional imports
from .support.template_class import itkTemplate as _itkTemplate
from ._proxies import vnl_vectorProxy as _vnl_vectorProxy


# Interface methods for class: Array
class ArrayProxy(_vnl_vectorProxy):
	@overload
	def Fill(self, v: float) -> None:
		""""""
		...

	@overload
	def Fill(self, v: int) -> None:
		""""""
		...

	def Size(self) -> int:
		""""""
		...

	def GetNumberOfElements(self) -> int:
		""""""
		...

	@overload
	def GetElement(self, i: int) -> float:
		""""""
		...

	@overload
	def GetElement(self, i: int) -> int:
		""""""
		...

	@overload
	def SetElement(self, i: int, value: float) -> None:
		""""""
		...

	@overload
	def SetElement(self, i: int, value: int) -> None:
		""""""
		...

	def SetSize(self, sz: int) -> None:
		""""""
		...

	def GetSize(self) -> int:
		""""""
		...

	def SetDataSameSize(self, datain, LetArrayManageMemory: bool = False) -> None:
		""""""
		...

	def SetData(self, datain, sz: int, LetArrayManageMemory: bool = False) -> None:
		""""""
		...

